@import "assets/scss/layout-mixins.scss";

$title-size: 16px;

.extra-text.tag {
  position: absolute;
  top: 0px;
  height: 18px;
  padding: 0 9px;
  line-height: 19px;
  background-color: #e7f6ff;
  z-index: 1;
  transition: opacity 0.3s;

  &.red {
    background-color: #ffeff1;
  }

  &.outside-range {
    opacity: 0.3;
  }
}

.mini-card {
  display: flex;
  flex: 1;
  color: #858890;
  font-weight: 600;
  min-height: 100px;
  border-radius: 4px;
  flex-direction: row;
  box-shadow: 0 1px 2px 0 rgba(43, 48, 56, 0.15);

  &.outside-range {
    > .ant-card-body,
    > .ant-card-cover {
      opacity: 0.05;
    }
  }

  > .ant-card-body,
  > .ant-card-cover {
    transition: opacity 0.3s;
  }

  &.has-icon-left {
    .ant-card-cover {
      flex-shrink: 0;
      display: flex;
      padding-top: 0;
      padding-left: 20px;
      align-items: center;

      @include bp(xs-md) {
        padding-left: 15px;
      }

      > img,
      > svg {
        width: 50px;
        height: 50px;

        @include bp(xs-md) {
          width: 25px;
          height: 25px;
        }
      }
    }
  }

  &.todo-upload-stats,
  &.todo-upload-post {
    .action-name {
      font-weight: bold !important;
    }
  }

  .ant-card-meta-title {
    color: #383b3f;
    line-height: normal;
    font-size: $title-size;

    @include bp(xs-md) {
      font-size: 12px;
    }

    h4 {
      flex: 1;
      margin: 0;
      color: inherit;
      font-size: 15px;
      font-weight: 600;
      line-height: 27px;
      display: -webkit-box;
      text-transform: initial;
      text-overflow: -o-ellipsis-lastline;
      text-overflow: ellipsis;
      -webkit-line-clamp: 2;
      -webkit-box-orient: vertical;
    }

    > div {
      align-items: center;
    }
  }

  .ant-card-body {
    line-height: 1rem;
    max-width: 55%;
    word-break: break-word;
    padding: 18px 0 16px 15px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    @include bp(xs-md) {
      padding: 10px 0 10px 15px;
      line-height: 0.9rem;
    }

    .info-text {
      color: #74767a;
      padding: 3px 0;
      font-size: 14px;
      line-height: normal;

      .info-item {
        max-width: 100%;
        overflow: hidden;
        padding-right: 15px;

        &:last-child {
          padding-right: 0;
        }
      }

      a {
        display: inline-block;
      }

      @include bp(xs-sm) {
        display: none;
      }
    }
    .extra-text {
      font-size: 11px;
      font-weight: bold;
      line-height: normal;
      text-transform: uppercase;

      @include bp(xs-md) {
        font-size: 10px;
      }

      &.color-red {
        color: #e46a81 !important;
      }

      &.color-blue {
        color: #026bfa !important;
      }
    }
  }

  &.ant-card-hoverable {
    &:hover {
      box-shadow: 0 15px 35px 0 rgba(51, 64, 86, 0.2);
    }
  }

  .ant-card-meta-detail > div:not(:last-child) {
    margin-bottom: 0px;
  }

  .ant-card-meta-description {
    top: 0px;
    right: 0px;
    width: 104px;
    max-width: 25%;
    height: 100%;
    flex-shrink: 1;
    font-size: $title-size;
    font-weight: 600;
    position: absolute;
    border-left: 1px solid rgb(230, 235, 243);

    .item-revert {
      .action-icon {
        order: 2;
        margin-left: 10px;
        margin-bottom: 0 !important;
      }
    }

    .actions {
      height: 100%;
      display: flex;
      cursor: pointer;
      position: relative;
      align-items: center;
      justify-content: center;
      flex-direction: column;
      border-color: transparent;

      .action-item {
        flex: 1 0;
        border: 0;
        width: 100%;
        height: 100%;
        display: flex;
        border-radius: 0;
        text-align: center;
        align-items: center;
        flex-direction: column;
        justify-content: center;
        transition: all 0.1s ease-out;

        &:hover {
          background: #f6f9fa;
        }
      }

      &.out-of-range {
        cursor: unset;

        .action-item:hover {
          background: unset;
        }
      }

      .action-icon {
        display: flex;
        margin-bottom: 14px;
        justify-content: center;

        img {
          width: 45px;
          height: 45px;
        }
      }

      .half {
        display: flex;
        align-items: center;
        flex-direction: row;
        justify-content: center;

        &:last-child {
          border-top: 1px solid rgb(230, 235, 243);

          .action-name {
            margin-top: 1px;
          }
        }
      }

      .action-name {
        margin-top: 2px;
        font-weight: 600;
        margin-left: -3px;
        text-align: center;

        @include bp(xs-md) {
          font-size: 11px;
        }

        &.color-red {
          color: #e46a81 !important;
        }

        &.color-blue {
          color: #026bfa !important;
        }
      }
    }
  }

  @media screen and (max-width: 991px) {
    .ant-card-meta-title {
      font-size: $title-size;
    }

    .info-text,
    .action-name {
      font-size: 14px !important;
    }
  }

  &.todo-item-carousel {
    // padding-right: 102px; TODO

    .ant-card-body {
      max-width: 100%;
      width: calc(100% - 72px);
      padding: 16px 18px 7px 15px;
    }
  }

  .flexbox {
    display: flex;
  }

  .show-ellipsis {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
  }

  .show-ellipsis-line-2 {
    overflow: hidden;
    line-height: 25px;
    text-overflow: -o-ellipsis-lastline;
    text-overflow: ellipsis;
    display: block;
    /* autoprefixer: off */
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
  }
}
